Pop3Client::Pop3Connection Class Reference

class for POP3 connections; returns an object of class Pop3Client for receiving or polling for emails More...

Inherits AbstractConnection.

## Public Member Functions

deprecated | constructor (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| DEPRECATED: creates the Pop3Connection object. More...
| constructor (string name, string description, string url, hash attributes={}, hash options={})
| creates the RestConnection connection object More...
*hash | getRuntimeOptions ()
| returns runtime options More...
string | getType ()
| returns `"pop3"`

## Static Public Member Functions

static deprecated Pop3Connection | make (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| DEPRECATED: static constructor. More...

## Protected Member Functions

Pop3Client | getImpl (bool connect=True, *hash rtopts)
| returns a Pop3Client object More...

## Detailed Description

class for POP3 connections; returns an object of class Pop3Client for receiving or polling for emails

supports the following runtime options in getImpl() for connection logging:

- `"log"`: a closure accepting a single string for logging
- `"dbglog"`: a closure taking a single string for detailed technical connection logging

Since
  Pop3Client 1.5

## Member Function Documentation

## constructor() [1/2]

deprecated Pop3Client::Pop3Connection::constructor | ( | string | name,
|  | string | desc,
|  | string | url,
|  | bool | monitor,
|  | *hash | opts,
|  | hash | urlh
| ) |  |

DEPRECATED: creates the Pop3Connection object.

Parameters

  name | the name of the connection
  desc | connection description
  url | connection URL
  monitor | monitoring flag
  opts | connection options
  urlh | broken down URL hash (as returned by Qore::parse_url())

Deprecated:
  since Qore 0.9

## constructor() [2/2]

Pop3Client::Pop3Connection::constructor | ( | string | name,
|  | string | description,
|  | string | url,
|  | hash | attributes = `{}`,
|  | hash | options = `{}`
| ) |  |

creates the RestConnection connection object

Parameters

  name | the name of the connection
  description | connection description
  url | connection URL (potentially with password info)
  attributes | various attributes. See below
  options | connection options

See AbstractConnection::constructor() for `attributes` and `options` reference.

## getImpl()

Pop3Client Pop3Client::Pop3Connection::getImpl | ( | bool | connect = `True`,
|  | *hash | rtopts
| ) |  |

protected

returns a Pop3Client object

Parameters

  connect | if True, then Pop3Client::Pop3Client::connect() is called

  rtopts

  supports the following runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging

Returns
  a Pop3Client object

## getRuntimeOptions()

*hash Pop3Client::Pop3Connection::getRuntimeOptions | ( |  | ) |

returns runtime options

Returns
  a hash with the following keys reflecting support for the corresponding runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging

## make()

static deprecated Pop3Connection Pop3Client::Pop3Connection::make | ( | string | name,
|  | string | desc,
|  | string | url,
|  | bool | monitor,
|  | *hash | opts,
|  | hash | urlh
| ) |  |

static

DEPRECATED: static constructor.

Deprecated:
  since Qore 0.9 in favor of new constructor and Qore::Reflection